package com.yaohun.levelreward;

import com.yaohun.levelreward.manage.PlayerManager;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.plugin.java.JavaPlugin;

public class LevelReward extends JavaPlugin {

    private static LevelReward instance;
    private static PlayerManager playerManager;


    @Override
    public void onEnable() {
        instance = this;
        playerManager = new PlayerManager();
    }

    @Override
    public void onDisable() {

    }

    @Override
    public boolean onCommand(CommandSender sender, Command cmd, String label, String[] args) {
        if("open".equalsIgnoreCase(args[0])){
            return true;
        }
        if(!sender.isOp()) {
            return true;
        }
        if (args.length == 0) {
            sender.sendMessage("");
            sender.sendMessage("§e------- ======= §6等级成长礼包 §e======= -------");
            sender.sendMessage("§2/"+label+" add §e[方案] §2<玩家> §f- §2增加礼包");
            sender.sendMessage("§2/"+label+" reset §e[方案] §2<玩家> §f- §2重置礼包");
            sender.sendMessage("§2/"+label+" show §e[方案] §f- §2查看礼包内容");
            sender.sendMessage("§2/"+label+" edit §e[方案] §f- §2设置礼包内容");
            sender.sendMessage("§2/"+label+" list §f- §2查看礼包方案");
            sender.sendMessage("§2/"+label+" reload §f- §2重载配置文件");
            sender.sendMessage("§e------- ======= §6等级成长礼包 §e======= -------");
            sender.sendMessage("");
            return true;
        }
        return false;
    }


    public static LevelReward inst() {
        return instance;
    }

    public static PlayerManager getPlayerManager() {
        return playerManager;
    }
}
